Bug 23098 - grsync doesn't display correct language if user langage is supported but user doesn't specify same language/country code
Summary: grsync doesn't display correct language if user langage is supported but user...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-05-30 03:40 CEST by andré blais
Modified: 2018-06-14 20:15 CEST (History)
4 users (show)

See Also:
Source RPM: grsync-1.2.6-1.mga6.src.rpm
CVE:
Status comment:


Attachments

Description andré blais 2018-05-30 03:40:31 CEST
Description of problem:
In my case, LANGUAGE=fr_CA.UTF8:fr, and grsync contains support for fr_FR.
grsync displays in English.

However if use
"LANGUAGE=fr_FR grsync",
the French language is displayed as expected.

How reproducible:
Invoke grsync without specifying language, when user's langage is supported by grsync, but grsync specifies a different country code.

What should happen :
If the user's language is supported but not the associated country specified in grsync, as long as the user specifies the language alone, display the user's language.


A workaround when invoking from console :
Use "LANGUAGE=* grsync" to invoke grsync,
where * is the language with the country of grsync

The desktop used is Maté.
Comment 1 Marja Van Waes 2018-05-30 07:27:56 CEST
Assigning to our registered grsync maintainer.

CC: (none) => marja11
Assignee: bugsquad => jani.valimaa

Comment 2 Jani Välimaa 2018-05-30 18:55:33 CEST
Pushed grsync-1.2.6-1.1.mga6 to core/updates_testing. Please test.

CC: (none) => jani.valimaa
Assignee: jani.valimaa => qa-bugs

Comment 3 andré blais 2018-06-03 15:29:51 CEST
Works nicely now :)
Thanks

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 4 Jani Välimaa 2018-06-03 15:50:18 CEST
Reopened as we need the official procedure for updated packages in stable releases.

Status: RESOLVED => REOPENED
Resolution: FIXED => (none)

Comment 5 Morgan Leijström 2018-06-06 23:15:35 CEST
Language test OK here on 64 bit;
launching "grsync" => my local language, Swedish
"LANGUAGE=en grsync" => English
"LANGUAGE=sv grsync" => Swedish
"LANGUAGE=qq grsync" => English  (stupidity test)
I have not tried to perform syncing, assume andré did that.

Whiteboard: (none) => MGA6-64-OK
CC: (none) => fri

Comment 6 claire robinson 2018-06-14 18:49:35 CEST
Thanks Morgan. Validating.

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 7 claire robinson 2018-06-14 19:01:58 CEST
Advisoried.

"This update fixes an issue with localisation."

Keywords: (none) => advisory

Comment 8 Mageia Robot 2018-06-14 20:15:46 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0113.html

Resolution: (none) => FIXED
Status: REOPENED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.